Package ru.yandex.clickhouse.response

## Class ClickHouseResponseGsonDeserializer

- java.lang.Object
- - ru.yandex.clickhouse.response.ClickHouseResponseGsonDeserializer

All Implemented Interfaces:
  `com.google.gson.JsonDeserializer<ClickHouseResponse>`

    public class ClickHouseResponseGsonDeserializer
    extends Object
    implements com.google.gson.JsonDeserializer<ClickHouseResponse>

### Constructor Summary

Constructors
`ClickHouseResponseGsonDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClickHouseResponse` `deserialize​(com.google.gson.JsonElement json, Type typeOfT, com.google.gson.JsonDeserializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseResponseGsonDeserializer

    public ClickHouseResponseGsonDeserializer()

### Method Detail

#### deserialize

    public ClickHouseResponse deserialize​(com.google.gson.JsonElement json,
                                          Type typeOfT,
                                          com.google.gson.JsonDeserializationContext context)
                                   throws com.google.gson.JsonParseException

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<ClickHouseResponse>`
Throws:
  `com.google.gson.JsonParseException`